summaryrefslogtreecommitdiff
path: root/t/dollarvar.sh
diff options
context:
space:
mode:
authorStefano Lattarini <stefano.lattarini@gmail.com>2012-06-28 13:27:49 +0200
committerStefano Lattarini <stefano.lattarini@gmail.com>2012-06-28 13:37:53 +0200
commitb21d68690612214d8edd810acf11880c3c0ad586 (patch)
tree7506c8901d7d16c4a5603a11e567b9e6315c9e9d /t/dollarvar.sh
parentda9ad6fafeaf5dfa710a1a2b4176d1a049fddf13 (diff)
parentd25fac43a7c239fe8f56b2ce1b87ef3e3d4d7ef0 (diff)
downloadautomake-b21d68690612214d8edd810acf11880c3c0ad586.tar.gz
Merge branch 'maint'
* maint: tests: simpler workaround for shells losing the exit status in exit trap + Extra non-trivial edits: * Several tests: Adjusted to use 'exit' rather than 'Exit'. Signed-off-by: Stefano Lattarini <stefano.lattarini@gmail.com>
Diffstat (limited to 't/dollarvar.sh')
-rwxr-xr-xt/dollarvar.sh6
1 files changed, 3 insertions, 3 deletions
diff --git a/t/dollarvar.sh b/t/dollarvar.sh
index f39fc851d..adaf178ec 100755
--- a/t/dollarvar.sh
+++ b/t/dollarvar.sh
@@ -22,7 +22,7 @@
# containing a '$' on the left hand side of an assignment are not
# portable in practice, even though POSIX allows them. :-/
-. ./defs || Exit 1
+. ./defs || exit 1
cat >Makefile.am <<'EOF'
x = 1
@@ -49,8 +49,8 @@ grep 'Makefile.am:2' stderr
grep 'Makefile.am:3' stderr
grep 'Makefile.am:4' stderr
grep 'Makefile.am:5' stderr
-grep 'Makefile.am:6' stderr && Exit 1
-grep 'Makefile.am:7' stderr && Exit 1
+grep 'Makefile.am:6' stderr && exit 1
+grep 'Makefile.am:7' stderr && exit 1
: